

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.25.25. grn_type &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.25.26. grn_user_data" href="grn_user_data.html" />
    <link rel="prev" title="7.25.24. grn_thread_*" href="grn_thread.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/api/grn_type.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="grn_user_data.html" title="7.25.26. grn_user_data"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="grn_thread.html" title="7.25.24. grn_thread_*"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" accesskey="U"><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.25. </span><code class="docutils literal notranslate"><span class="pre">grn_type</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="grn-type">
<h1><span class="section-number">7.25.25. </span><code class="docutils literal notranslate"><span class="pre">grn_type</span></code><a class="headerlink" href="#grn-type" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.25.25.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="example">
<h2><span class="section-number">7.25.25.2. </span>例<a class="headerlink" href="#example" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>TODO...</p>
</div>
<div class="section" id="reference">
<h2><span class="section-number">7.25.25.3. </span>リファレンス<a class="headerlink" href="#reference" title="このヘッドラインへのパーマリンク">¶</a></h2>
<dl class="c type">
<dt id="c.grn_builtin_type">
<em class="property">type </em><code class="sig-name descname">grn_builtin_type</code><a class="headerlink" href="#c.grn_builtin_type" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>TODO...</p>
</dd></dl>

<dl class="c function">
<dt id="c.grn_type_create">
<a class="reference internal" href="grn_obj.html#c.grn_obj" title="grn_obj">grn_obj</a> *<code class="sig-name descname">grn_type_create</code><span class="sig-paren">(</span><a class="reference internal" href="grn_ctx.html#c.grn_ctx" title="grn_ctx">grn_ctx</a> *<em>ctx</em>, <em class="property">const</em> char *<em>name</em>, unsigned int <em>name_size</em>, grn_obj_flags <em>flags</em>, unsigned int <em>size</em><span class="sig-paren">)</span><a class="headerlink" href="#c.grn_type_create" title="この定義へのパーマリンク">¶</a><br /></dt>
<dd><p>nameに対応する新たなtype（型）をdbに定義します。</p>
<dl class="field-list simple">
<dt class="field-odd">パラメータ</dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>name</strong> -- 作成するtypeの名前を指定します。</p></li>
<li><p><strong>flags</strong> -- <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_KEY_VAR_SIZE</span></code>, <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_KEY_FLOAT</span></code>, <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_KEY_INT</span></code>, <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_KEY_UINT</span></code> のいずれかを指定します。</p></li>
<li><p><strong>size</strong> -- <code class="docutils literal notranslate"><span class="pre">GRN_OBJ_KEY_VAR_SIZE</span></code> の場合は最大長、それ以外の場合は長さ（単位:byte）を指定します。</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.25.25. <code class="docutils literal notranslate"><span class="pre">grn_type</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.25.25.1. 概要</a></li>
<li><a class="reference internal" href="#example">7.25.25.2. 例</a></li>
<li><a class="reference internal" href="#reference">7.25.25.3. リファレンス</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="grn_thread.html"
                        title="前の章へ"><span class="section-number">7.25.24. </span><code class="docutils literal notranslate"><span class="pre">grn_thread_*</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="grn_user_data.html"
                        title="次の章へ"><span class="section-number">7.25.26. </span><code class="docutils literal notranslate"><span class="pre">grn_user_data</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="grn_user_data.html" title="7.25.26. grn_user_data"
             >次へ</a> |</li>
        <li class="right" >
          <a href="grn_thread.html" title="7.25.24. grn_thread_*"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../api.html" ><span class="section-number">7.25. </span>API</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.25.25. </span><code class="docutils literal notranslate"><span class="pre">grn_type</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>